Bug 9701 - vfs_catia is not working anymore (due to a former regression)
vfs_catia is not working anymore (due to a former regression)
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-06 04:29 UTC by Guenter Kukkukk
Modified: 2013-03-11 10:21 UTC (History)
0 users

See Also:


Attachments
add vfs_catia debug class (1.51 KB, patch)
2013-03-06 04:47 UTC, Guenter Kukkukk
no flags Details
the REAL patch (1.74 KB, patch)
2013-03-06 04:50 UTC, Guenter Kukkukk
no flags Details
first attempt to fix the manual page (3.90 KB, patch)
2013-03-06 04:52 UTC, Guenter Kukkukk
no flags Details
minor addittion to the manual page (1.96 KB, patch)
2013-03-06 04:53 UTC, Guenter Kukkukk
no flags Details
well - add copyright (818 bytes, patch)
2013-03-06 04:54 UTC, Guenter Kukkukk
no flags Details
git-am fix for 4.0.x. (10.10 KB, patch)
2013-03-07 19:43 UTC, Jeremy Allison
no flags Details
git-am fix for 3.6.x (4.15 KB, patch)
2013-03-07 20:20 UTC, Jeremy Allison
kukks: review+
Details
vfs_catia: fix manual page for 3.6.x (4.19 KB, patch)
2013-03-09 04:19 UTC, Guenter Kukkukk
kseeger: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenter Kukkukk 2013-03-06 04:29:38 UTC
vfs_catia has seen a MAJOR rework with removed default features around samba-3.5.x - and the need to NOW specify char mappings with a
new parametric option "catia:mappings = ..." (never documented)

Beside that, a regression crept in - which makes that
vfs module unusable.

I've already fixed the code and updated missing pieces in the manual page.

During writing a testcase for the vfs_catia module - using "vfstest",
i hit new hurdles/bugs in vfstest itself - a never endind story ...

I promise to finish the testcase! :-)

BUT i think, that my current fixes should make it into the next release.

So i'll post all my patches ...

Cheers, Günter
Comment 1 Guenter Kukkukk 2013-03-06 04:47:07 UTC
Created attachment 8612 [details]
add vfs_catia debug class
Comment 2 Guenter Kukkukk 2013-03-06 04:50:03 UTC
Created attachment 8613 [details]
the REAL patch
Comment 3 Guenter Kukkukk 2013-03-06 04:52:39 UTC
Created attachment 8614 [details]
first attempt to fix the manual page
Comment 4 Guenter Kukkukk 2013-03-06 04:53:45 UTC
Created attachment 8615 [details]
minor addittion to the manual page
Comment 5 Guenter Kukkukk 2013-03-06 04:54:36 UTC
Created attachment 8616 [details]
well - add copyright
Comment 6 Guenter Kukkukk 2013-03-06 04:59:33 UTC
I mailed my patch to the requesting user - no answer so far.

I great THANKYOU to Richard Sharpe - writing down the basic
needs for a vfs module! :-)

Cheers, Günter
Comment 7 Jeremy Allison 2013-03-07 19:43:50 UTC
Created attachment 8618 [details]
git-am fix for 4.0.x.

This is the patchset as one convenient file, reviewed by me and pushed to master.

Jeremy.
Comment 8 Jeremy Allison 2013-03-07 20:20:22 UTC
Created attachment 8619 [details]
git-am fix for 3.6.x

Code fix for 3.6.x, documentation changes don't apply.
Comment 9 Guenter Kukkukk 2013-03-08 03:50:16 UTC
Hi Jeremy,

i _really_ reviewed v3-6-test
 - checked it out
 - built and tested it without the patch (not working)
 - applied the patch - now working ! :-)

But why do you think that the new "manual pages"
don't apply to 3.6.x ?

Afaik - that major rework was first released with 3.5.x,
but was never mentioned in the release notes.

I'm pretty sure that the new manual page patches should also
be included with the 3.6.x

Cheers, Günter
Comment 10 Jeremy Allison 2013-03-08 18:08:16 UTC
What I meant was the attachment " git-am fix for 4.0.x." doesn't apply to 3.6.x as the man page updates fail.

If you want to add additional patches for 3.6.x that update the man pages then I'll +1 them and we can re-assign to Karolin for inclusion in 4.0.next and 3.6.next.

Jeremy.
Comment 11 Jeremy Allison 2013-03-08 20:34:23 UTC
Re-assigning to Karolin to get the current fixes into 4.0.next and 3.6.next. Guenter feel free to add a follow-up patch for the 3.6.next man page fixes.

Jeremy.
Comment 12 Guenter Kukkukk 2013-03-09 04:19:42 UTC
Created attachment 8623 [details]
vfs_catia: fix manual page for 3.6.x

Hi Jeremy, Karolin,

learning new stuff every new day .... :-)

Well, i was not aware of the change
    ./docs-xml/manpages-3/  TO
    ./docs-xml/manpages/  
with samba-4.0.x - so my manual page patches could not apply to 3.6.x

So here my tested 3.6.x fix.

Please review and push.

Cheers, Günter
Comment 13 Karolin Seeger 2013-03-11 08:21:03 UTC
Pushed to v3-6-test (incl. docs fix) and autobuild-v4-0-test.
Comment 14 Karolin Seeger 2013-03-11 10:21:07 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!